Retrieve a list of Custom Order Integrations
You call thislegacysalessales:orders
GET
/v1/customStores
const url = 'https://api.zentail.com/v1/customStores';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.zentail.com/v1/customStores \ --header 'Authorization: Bearer <token>'Returns information about all of the integrations which can be used to upload orders into Zentail using the API, file upload or UI.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Success
Media typeapplication/json
object
results
Array<object>
object
name
string
default
If no integrationID is provided when creating orders, the default integration is the one that will be used.
boolean
integrationId
This ID should be used for the integrationID field when creating new custom sales orders.
integer
Examplegenerated
{ "results": [ { "name": "example", "default": true, "integrationId": 1 } ]}Bad Request
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 400}Permission Denied
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 403}Not Found
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 404}Zentail Error
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string
Example
{ "errorCode": 500}Zentail Error
Media typeapplication/json
object
errorCode
number
errorMessages
Array<string>
referenceId
string format: uuid
Example
{ "errorCode": 503}